JBoss API: Class RMIClientConnectorImpl.Listener

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.client
Class RMIClientConnectorImpl.Listener

    java.lang.Object
      |
      +--org.jboss.jmx.client.RMIClientConnectorImpl.Listener

All Implemented Interfaces:
  java.rmi.Remote, RMINotificationListener, java.io.Serializable

Enclosing class:
  RMIClientConnectorImpl

public class RMIClientConnectorImpl.Listener
extends java.lang.Object
implements RMINotificationListener

Listener wrapper around the remote RMI Notification Listener

See Also:
  Serialized Form

Constructor Summary
`RMIClientConnectorImpl.Listener(javax.management.NotificationListener pLocalListener, java.lang.Object pHandback, javax.management.ObjectName pName)`

Method Summary
`boolean` | `equals(java.lang.Object pTest)` Test if this and the given Object are equal.
`ObjectHandler` | `getHandback()`
`javax.management.NotificationListener` | `getLocalListener()` Redesign it (AS)
`javax.management.ObjectName` | `getObjectName()` Redesign it (AS)
`void` | `handleNotification(javax.management.Notification pNotification, java.lang.Object pHandback)` Handles the given notification by sending this to the remote client listener
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RMIClientConnectorImpl.Listener

    public RMIClientConnectorImpl.Listener(javax.management.NotificationListener pLocalListener,
                                           java.lang.Object pHandback,
                                           javax.management.ObjectName pName)

Method Detail

### handleNotification

    public void handleNotification(javax.management.Notification pNotification,
                                   java.lang.Object pHandback)
                            throws java.rmi.RemoteException

  Handles the given notification by sending this to the remote client listener
  Specified by:
    `handleNotification` in interface `RMINotificationListener`
  Parameters:
    `pNotification` - Notification to be send
    `pHandback` - Handback object

### getHandback

    public ObjectHandler getHandback()

  Returns:
    Object Handler of the given Handback object

### getObjectName

    public javax.management.ObjectName getObjectName()

  Redesign it (AS)

### getLocalListener

    public javax.management.NotificationListener getLocalListener()

  Redesign it (AS)

### equals

    public boolean equals(java.lang.Object pTest)

  Test if this and the given Object are equal. This is true if the given object both refer to the same local listener
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `pTest` - Other object to test if equal
  Returns:
    True if both are of same type and refer to the same local listener

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    Hashcode of the local listener

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.